#
# Copyright (c) 2008-2018 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

from zope.interface import Interface

from onf_website.skin.public.layer import IONFBaseLayer
from pyams_content.shared.common.portlet.interfaces import ISharedContentHeaderPortletSettings
from pyams_content.shared.news import IWfNewsEvent
from pyams_default_theme.component.illustration import base_content_banner_illustration_factory
from pyams_default_theme.interfaces import IContentBannerIllustration, IContentHeaderIllustration
from pyams_default_theme.shared.common.portlet.head import SharedContentHeaderPortletRenderer
from pyams_portal.interfaces import IPortletRenderer
from pyams_template.template import template_config
from pyams_utils.adapter import adapter_config, NullAdapter

__docformat__ = 'restructuredtext'


@adapter_config(context=(IWfNewsEvent, IONFBaseLayer), provides=IContentBannerIllustration)
class NewsEventBannerIllustrationAdapter(NullAdapter):
    """News event banner illustration adapter"""


@adapter_config(context=(IWfNewsEvent, IONFBaseLayer), provides=IContentHeaderIllustration)
def news_event_header_illustration_factory(context, request):
    return base_content_banner_illustration_factory(context, request)


@adapter_config(context=(IWfNewsEvent, IONFBaseLayer, Interface, ISharedContentHeaderPortletSettings),
                provides=IPortletRenderer)
@template_config(template='templates/head.pt', layer=IONFBaseLayer)
class NewsEventHeaderPortletRenderer(SharedContentHeaderPortletRenderer):
    """News event header portlet default renderer"""
